Page Index Toggle Pages: [1] 2 
Topic Tools
Very Hot Topic (More than 25 Replies) GET to /cgi-bin/YaBB.pl not supported. (Read 8,758 times)
griswold
Full Member
***
Offline



Posts: 124
Location: Cast Iron Heaven!!
GET to /cgi-bin/YaBB.pl not supported.
Dec 20th, 2012 at 6:16pm
Post Tools
I'm using version 2.1 and don't have these lines in my sub.pl file.

Overnight I started to get the same error as originally listed in this post.  Any work arounds?
  
Back to top
IP Logged
 
JonB
YaBB Administrator
YaBB Next Team
Operations Team
Beta Testers
Support Team
*****
Offline



Posts: 4,039
Location: Land of the Blazing Sun!

YaBB 2.6.1
Re: GET to /cgi-bin/YaBB.pl not supported.
Reply #1 - Dec 20th, 2012 at 7:50pm
Post Tools
If you 'just started getting errors', then your webhost most likely made security changes:

From original post.
Quote:
A. - Check with your webhost and see if 'they' can fix this for you, usually possible with some encouragement.


Our installed 2.1 code didn't change LOL

This also could have happened if they moved you to a new(er) server (even if you did not know it).

Drop a support ticket on them with the exact message you are getting.

Good Luck and Happy Holidays!
Wink
« Last Edit: Dec 20th, 2012 at 7:52pm by JonB »  

I find your lack of faith disturbing.
Back to top
IP Logged
 
griswold
Full Member
***
Offline



Posts: 124
Location: Cast Iron Heaven!!
Re: GET to /cgi-bin/YaBB.pl not supported.
Reply #2 - Dec 21st, 2012 at 3:20pm
Post Tools
yeap, I dropped a ticket with them and it is now escalated up the chain and they have not done anything yet.  What a pain, as they did do an upgrade with hardware, when this all started.
  
Back to top
IP Logged
 
JonB
YaBB Administrator
YaBB Next Team
Operations Team
Beta Testers
Support Team
*****
Offline



Posts: 4,039
Location: Land of the Blazing Sun!

YaBB 2.6.1
Re: GET to /cgi-bin/YaBB.pl not supported.
Reply #3 - Dec 21st, 2012 at 4:33pm
Post Tools
OK - Good Luck and Happy Holidays!

Wink
  

I find your lack of faith disturbing.
Back to top
IP Logged
 
griswold
Full Member
***
Offline



Posts: 124
Location: Cast Iron Heaven!!
Re: GET to /cgi-bin/YaBB.pl not supported.
Reply #4 - Dec 23rd, 2012 at 12:54pm
Post Tools
they disabled the mod security and I still have the same error for PM/IM.  I have no idea what to do now.
  
Back to top
IP Logged
 
depablo
YaBB Moderators
YaBB Next Team
Beta Testers
***
Offline



Posts: 577
Location: UK

None
Re: GET to /cgi-bin/YaBB.pl not supported.
Reply #5 - Dec 23rd, 2012 at 1:03pm
Post Tools
griswold wrote on Dec 23rd, 2012 at 12:54pm:
they disabled the mod security and I still have the same error for PM/IM.  I have no idea what to do now.

After a recent change of hosts and started getting this error. I am in the middle of changing hosts and going back to my old faithful hosting company. Once domain name has resolved I will update if the problem persists for me anyway.
Good luck  Smiley
  

Taking a peek behind the mask Wink
Back to top
 
IP Logged
 
JonB
YaBB Administrator
YaBB Next Team
Operations Team
Beta Testers
Support Team
*****
Offline



Posts: 4,039
Location: Land of the Blazing Sun!

YaBB 2.6.1
Re: GET to /cgi-bin/YaBB.pl not supported.
Reply #6 - Dec 23rd, 2012 at 2:54pm
Post Tools
A. Do you mean:

   1. They disabled mod_security, and now I only have the problem with PM's. other YaBB issue(s) went away?
OR
   2. That was the issue all along, I only had a problem with PM's.

A possibility - The way YaBB works, you could also be dealing with an Apache 'Includes' issue. There is an Apache directive 'IncludesNoExec' if it is + (on) a script cannot 'call itself' or 'execute' (externally) an embedded script, the -IncludesNoExec turns that feature off if it is set at a higher level.  This may be 'Greek' to you, but your host will understand.

B. See if your host's new server is running Apache 2.4x

Good Luck
Wink
« Last Edit: Dec 23rd, 2012 at 3:09pm by JonB »  

I find your lack of faith disturbing.
Back to top
IP Logged
 
griswold
Full Member
***
Offline



Posts: 124
Location: Cast Iron Heaven!!
Re: GET to /cgi-bin/YaBB.pl not supported.
Reply #7 - Dec 23rd, 2012 at 5:19pm
Post Tools
JonB wrote on Dec 23rd, 2012 at 2:54pm:
A. Do you mean:

  1. They disabled mod_security, and now I only have the problem with PM's. other YaBB issue(s) went away?
OR
  2. That was the issue all along, I only had a problem with PM's.

A possibility - The way YaBB works, you could also be dealing with an Apache 'Includes' issue. There is an Apache directive 'IncludesNoExec' if it is + (on) a script cannot 'call itself' or 'execute' (externally) an embedded script, the -IncludesNoExec turns that feature off if it is set at a higher level.  This may be 'Greek' to you, but your host will understand.

B. See if your host's new server is running Apache 2.4x

Good Luck
Wink

The host disabled mod_security and I still get the same error with my PM/IMs.  Disabling the mod_security did not solve the error.

I have sent them another ticket with the response you made above and will see what they say. 

I have had the same host for over 10 years and have never had this problem before.  The problem occurred after they sent out the following message:

on December 18th through 20th between 10PM PST and 1AM PST, our network engineering team will be performing a major network upgrade in our West Coast data center. We will be adding increased capacity and migrating to our new carrier-grade network hardware.

After this upgrade, the error started and no one could read PM/IM on the YaBB forum that has been running without fail for many many years.
  
Back to top
IP Logged
 
depablo
YaBB Moderators
YaBB Next Team
Beta Testers
***
Offline



Posts: 577
Location: UK

None
Re: GET to /cgi-bin/YaBB.pl not supported.
Reply #8 - Dec 23rd, 2012 at 8:26pm
Post Tools
Moved back to my old host  Smiley

Apache version      2.2.23
Perl version      5.8.8
PM's now working, therefore this was a host problem.
  

Taking a peek behind the mask Wink
Back to top
 
IP Logged
 
Bill Myers
God Member
Beta Testers
*****
Offline



Posts: 1,737
Location: Los Angeles

YaBB 2.4
Re: GET to /cgi-bin/YaBB.pl not supported.
Reply #9 - Dec 23rd, 2012 at 9:46pm
Post Tools
depablo wrote on Dec 23rd, 2012 at 8:26pm:
M's now working, therefore this was a host problem.

Thanks for sharing this.

On a related note, I'm now thinking that my 500 error messages while trying to install a testbed YaBB forum is related to problems of mine with our server's host. This isn't a pressing issue for me at this time, but I'll have to look into this at some point with them just in case.

At least with me regarding YaBB, pretty much any and all problems I've encountered have been on my end; not because of YaBB.

  

Morning, noon, or night, have a great one!

Note: This forum doesn't allow for us to freely edit our posts or topics to make corrections as needed, so please remember to look for subsequent posts if you see any mistakes or outdated information. Sorry for the inconvenience.
Back to top
IP Logged
 
griswold
Full Member
***
Offline



Posts: 124
Location: Cast Iron Heaven!!
Re: GET to /cgi-bin/YaBB.pl not supported.
Reply #10 - Dec 24th, 2012 at 12:04pm
Post Tools
From my host:

After reviewing the information provided by YaBB's development support, we have set up the following Apache directives (via your root .htaccess file in /home/griswo5/public_html:


Options +Includes -IncludesNoEXEC


What this means is that files are now able to execute their includes, instead of just being able to include them.  Please let us know if this resolves the issue you're seeing with your forum.  Currently the Apache software running on your server is Apache 2.2.21.  This is the latest available in your version of cPanel.  cPanel has a custom configured version of Apache that is reconfigured by cPanel.  The latest that cPanel offers (at the latest cPanel version) is Apache 2.2.23.  Please let us know if there's anything else we can assist you with!



PMs still do not work with this change.  I'm stumped at what to do, as I have changed nothing, the host changed something and all the fixes so far have not worked.

Egads, any more ideas??  TIA!!
  
Back to top
IP Logged
 
griswold
Full Member
***
Offline



Posts: 124
Location: Cast Iron Heaven!!
Re: GET to /cgi-bin/YaBB.pl not supported.
Reply #11 - Dec 24th, 2012 at 12:43pm
Post Tools
again from my host this morning:



If there are any custom Apache configurations that need to be made, we may be able to perform them but please note that you can also put anything that needs to be configured for YaBB into your .htaccess files, such as any "Options" directives.  Unfortunately this issue is starting to fall under the category of third party software support which we're only able to provide very limited support on.  We're always more than happy to help with any server configuration however currently the server is running optimally.  I would suggest you contact a developer.  Please let us know if there's anything else we can assist you with.


So the issue started with their upgrade.  Guess I have to live without PMs.  Would an upgrade from 2.1 to a newer version help?  2.1 has been working fine for what we need and finding the time to move everything is my challenge.  I have a version of 2.5AE up and running, but have not had the time to move all my content, as my work keeps me so busy.  Perhaps will have to find someone to help me do this?

  
Back to top
IP Logged
 
depablo
YaBB Moderators
YaBB Next Team
Beta Testers
***
Offline



Posts: 577
Location: UK

None
Re: GET to /cgi-bin/YaBB.pl not supported.
Reply #12 - Dec 24th, 2012 at 12:55pm
Post Tools
Can you send PM's from 2.5 version?
  

Taking a peek behind the mask Wink
Back to top
 
IP Logged
 
Bill Myers
God Member
Beta Testers
*****
Offline



Posts: 1,737
Location: Los Angeles

YaBB 2.4
Re: GET to /cgi-bin/YaBB.pl not supported.
Reply #13 - Dec 24th, 2012 at 3:32pm
Post Tools
I seem to remember that one of YaBB's hard working, and very knowledgeable developers had voiced concerns about this; that's to say, Apache updates may cause certain problems with YaBB's software (really any forum software).

If this is correct, then I guess developers will need to address each new issue as it comes up.

On a related issue, and my bad for being so old fashioned about it, i.e., out of date; I still use a much older version of Netscape for much of my editing when I add preview posts in our forum even though that very same version of Netscape won't properly render if videos are being referenced.

So I work around that limitation in two different windows with two different versions of the same browser (or even different browsers).

« Last Edit: Dec 24th, 2012 at 3:33pm by Bill Myers »  

Morning, noon, or night, have a great one!

Note: This forum doesn't allow for us to freely edit our posts or topics to make corrections as needed, so please remember to look for subsequent posts if you see any mistakes or outdated information. Sorry for the inconvenience.
Back to top
IP Logged
 
griswold
Full Member
***
Offline



Posts: 124
Location: Cast Iron Heaven!!
Re: GET to /cgi-bin/YaBB.pl not supported.
Reply #14 - Dec 24th, 2012 at 6:37pm
Post Tools
depablo wrote on Dec 24th, 2012 at 12:55pm:
Can you send PM's from 2.5 version?

heck I didn't even think about checking that.  I just looked and I have the same errors in 2.5AE

Method Not Implemented

GET to /cgi-bin/yabb2/YaBB.pl not supported.

Additionally, a 404 Not Found error was encountered while trying to use an ErrorDocument to handle the request.


So updating to 2.5AE won't solve a single thing.  Dang it!!
  
Back to top
IP Logged
 
Page Index Toggle Pages: [1] 2 
Topic Tools